== Why is this an issue?

``++CASE++`` structures with a large set of ``++WHEN++`` clauses are difficult to understand and maintain, and should be refactored to include fewer ``++WHEN++`` clauses.

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.maximum
****

----
30
----

Maximum number of "WHEN"
****


'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
